## ros-melodic-libuvc-ros 0.0.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(libuvc_ros)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-libuvc-ros (0.0.10-1bionic) bionic; urgency=high



 -- Ken Tossell <ken@tossell.net>  Thu, 12 Apr 2018 15:00:00 -0000

ros-melodic-libuvc-ros (0.0.9-1bionic) bionic; urgency=high



 -- Ken Tossell <ken@tossell.net>  Wed, 14 Jun 2017 15:00:00 -0000

ros-melodic-libuvc-ros (0.0.8-1bionic) bionic; urgency=high

  * add ROS Orphaned Package Maintainers to maintainer tag
  * Contributors: Kei Okada

 -- Ken Tossell <ken@tossell.net>  Tue, 13 Jun 2017 15:00:00 -0000

ros-melodic-libuvc-ros (0.0.7-1bionic) bionic; urgency=high



 -- Ken Tossell <ken@tossell.net>  Wed, 05 Mar 2014 15:00:00 -0000

ros-melodic-libuvc-ros (0.0.6-1bionic) bionic; urgency=high



 -- Ken Tossell <ken@tossell.net>  Wed, 18 Dec 2013 15:00:00 -0000

ros-melodic-libuvc-ros (0.0.5-1bionic) bionic; urgency=high



 -- Ken Tossell <ken@tossell.net>  Thu, 03 Oct 2013 15:00:00 -0000

ros-melodic-libuvc-ros (0.0.4-1bionic) bionic; urgency=high



 -- Ken Tossell <ken@tossell.net>  Sun, 22 Sep 2013 15:00:00 -0000

ros-melodic-libuvc-ros (0.0.3-1bionic) bionic; urgency=high



 -- Ken Tossell <ken@tossell.net>  Sun, 22 Sep 2013 15:00:00 -0000

ros-melodic-libuvc-ros (0.0.2-1bionic) bionic; urgency=high



 -- Ken Tossell <ken@tossell.net>  Sun, 11 Aug 2013 15:00:00 -0000

ros-melodic-libuvc-ros (0.0.1-1bionic) bionic; urgency=high



 -- Ken Tossell <ken@tossell.net>  Wed, 31 Jul 2013 15:00:00 -0000

ros-melodic-libuvc-ros (0.0.0-1bionic) bionic; urgency=high

  * adding missing catkin files

 -- Ken Tossell <ken@tossell.net>  Wed, 26 Jun 2013 15:00:00 -0000

=== debian/control ===
Source: ros-melodic-libuvc-ros
Section: misc
Priority: extra
Maintainer: Ken Tossell <ken@tossell.net>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://ros.org/wiki/libuvc_ros
Standards-Version: 3.9.2

Package: ros-melodic-libuvc-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-libuvc-camera
Description: libuvc_ros metapackage

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-libuvc-ros//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
